%global gitcommit cdb16f330dceecadc936dde97c4b51a987ed38b0
%global gitshort %(echo %{gitcommit} | cut -c-7)

Name: pecryptfs
Version: 0.1.0
Release: 0.103.%{gitshort}%{?dist}
Summary: Portable Userspace eCryptfs
License: GPLv3
URL: https://github.com/pecryptfs/pecryptfs
Source: %{name}-%{gitshort}.zip
BuildArch: noarch
BuildRequires: python3-rpm-macros
BuildRequires: python3-devel
BuildRequires: python3-setuptools
Requires: python3-crypto


%description
pecryptfs is a simple and somewhat incomplete Python reimplementation of the
eCryptfs filesystem encryption. Unlike eCryptfs, which is a Linux kernel
module, pecryptfs runs completely in userspace and works on individual files
via command line tools.

It is recommended to keep a backup around, as pecryptfs might not be able to
deal with more exotic features of eCryptfs correctly and do bad things.


%prep
%setup -q -c -n %{name}-%{version}


%build
%py3_build


%install
[ '%{buildroot}' != '/' ] && rm -rf %{buildroot}
%py3_install
# remove unneeded files
rm -rf %{buildroot}%{python3_sitelib}/tests


%files
%license COPYING
%{_bindir}/pecryptfs-decrypt
%{_bindir}/pecryptfs-filename
%{_bindir}/pecryptfs-genfile
%{_bindir}/pecryptfs-ls
%{_bindir}/pecryptfs-makesig
%{python3_sitelib}/%{name}/
%{python3_sitelib}/*.egg-info/
